org.codehaus.groovy.runtime

## Class DefaultCachedMethodKey

- java.lang.Object
- - org.codehaus.groovy.runtime.MethodKey
  - - org.codehaus.groovy.runtime.DefaultCachedMethodKey

    public class DefaultCachedMethodKey
    extends MethodKey

A default implementation of MethodKey

Author:
  James Strachan

### Constructor Summary

Constructors
Constructor and Description
`DefaultCachedMethodKey(java.lang.Class sender, java.lang.String name, CachedClass[] parameterTypes, boolean isCallToSuper)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getParameterCount()`
`java.lang.Class` `getParameterType(int index)`

### Methods inherited from class org.codehaus.groovy.runtime.MethodKey

`createCopy, createHashCode, equals, equals, getName, getParamterTypes, hashCode, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DefaultCachedMethodKey

    public DefaultCachedMethodKey(java.lang.Class sender,
                                  java.lang.String name,
                                  CachedClass[] parameterTypes,
                                  boolean isCallToSuper)

### Method Detail

#### getParameterCount

    public int getParameterCount()

Specified by:
  `getParameterCount` in class `MethodKey`

#### getParameterType

    public java.lang.Class getParameterType(int index)

Specified by:
  `getParameterType` in class `MethodKey`